///////////////////////////////////////////////////////////////////////////////////////////////
//  Analog to Digital Conversion Source File
//	Sensor conversion
///////////////////////////////////////////////////////////////////////////////////////////////

#include <p24FJ192GA110.h>



// initialization of the ADC
////////////////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////////////////
void initADC( int amask)
{
	AD1PCFGL = amask;					// select analog input pins 
	AD1CON1 = 0x00E0;					// automatic conversion sequence control auto convert after sampling
	AD1CSSL = 0;						// no scanning required
	AD1CON2 = 0;						// use MUXA, AVss and AVdd are used as Vref+/-
	AD1CON3 = 0x1F02;					// max sampling time = 31Tad  Tad = 2 * Tcy = 125 ns > 75 ns 
	AD1CON1bits.ADON = 1;				// turn on the ADC
}// initialize the ADC


// basic conversion routine
////////////////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////////////////
int readADC( int ch)
{
	AD1CHS = ch;						// select analog input channel

	AD1CON1bits.SAMP = 1;				// start sampling

	while( !AD1CON1bits.DONE);			// wait for conversion to complete	
	AD1CON1bits.DONE = 0;

	return ADC1BUF0;

}// end readADC()











	

