/////////////////////////////////////////////////////////////////////////////
// conU2.h
//
// constants and function prototypes
/////////////////////////////////////////////////////////////////////////////

// I/O definitions for the explorer16
/************* DEFINITIONS ****************************************
*
*******************************************************************/

#define BACKSPACE 0x8			// define the ANSCII Backspace char

#define clrscr()  putsU2( "\x1b[2J")
#define home()    putsU2( "\x1b[1;1H")

/************ FUNCTION PROTOTYPES *********************************
*
******************************************************************/



// send a character to the serial port
int putU2( int c);

// wait for a new char to arrive to the serial port
char getU2( void);

// send a null terminated string to the serial port
void putsU2( char *s);

// receive a null termiknated string in a buffer of len char
char * getsnU2( char *s, int n);
