///////////////////////////////////////////////////////////////////////////////////////////////
//  Analog to Digital Conversion Header File
//	Sensor conversion
///////////////////////////////////////////////////////////////////////////////////////////////



/************* DEFINITIONS ****************************************
*
*******************************************************************/
#define BATT 5					// 10k pot connected to AN5 input
#define TSENS 4					// TC1047 temp sensor with volt out connected to AN4 input
#define HUMID 8					// HIH-5031 humidity sensor connected to AN8
#define LIGHT 9					// LX1973A light sensor connected to AN9

#define AINPUTS 0xFCCF				// Analog inputs for Explorer16 POT and TSENS 0b1111 1100 1100 1111
							// 0 is ANALOG 1 is DIGITAL 


/************ FUNCTION PROTOTYPES *********************************
*
******************************************************************/

void initADC( int amask);

int readADC( int ch);

